XMLReader::read
XMLReader::readOuterXML
XMLReader
PHP Manual

# XMLReader::readInnerXML

Retrieve XML from current node

### Description

public string XMLReader::readInnerXML ( void )

Reads the contents of the current node, including child nodes and markup.

### Parameters

This function has no parameters.

### Return Values

Returns the contents of the current node as a string. Empty string on failure.

### Notes

Caution

This function is only available when PHP is compiled against libxml 20620 or later.

### See Also

- XMLReader::readString
- XMLReader::readOuterXML
- XMLReader::expand